Patchwork pkgconfig: Fix logic that was accidently leaving legacy pkg-config functionality enabled

login
register
mail settings
Submitter Richard Purdie
Date Oct. 6, 2011, 10:58 p.m.
Message ID <1317941895.19281.0.camel@ted>
Download mbox | patch
Permalink /patch/12851/
State New, archived
Headers show

Comments

Richard Purdie - Oct. 6, 2011, 10:58 p.m.
Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
---

Patch

diff --git a/meta/recipes-devtools/pkgconfig/pkgconfig/disable-legacy.patch b/meta/recipes-devtools/pkgconfig/pkgconfig/disable-legacy.patch
index 1b3c12a..30db36c 100644
--- a/meta/recipes-devtools/pkgconfig/pkgconfig/disable-legacy.patch
+++ b/meta/recipes-devtools/pkgconfig/pkgconfig/disable-legacy.patch
@@ -7,13 +7,13 @@  pkgconfig with the --disable-legacy-scripts option, to maintain compatibility
 the default is to leave the scripts enabled.
 
 JL - 22/06/10
-Index: pkg-config-0.23/configure.in
+Index: pkg-config-0.25/configure.in
 ===================================================================
---- pkg-config-0.23.orig/configure.in	2008-01-16 22:48:07.000000000 +0000
-+++ pkg-config-0.23/configure.in	2010-06-22 13:05:58.951984140 +0100
-@@ -125,6 +125,14 @@
-   AC_CONFIG_SUBDIRS(glib-1.2.10)
- fi # !native_win32
+--- pkg-config-0.25.orig/configure.in	2011-10-05 18:52:24.879726050 +0100
++++ pkg-config-0.25/configure.in	2011-10-05 18:55:39.639726152 +0100
+@@ -151,6 +151,18 @@
+ AC_SUBST([POPT_LIBS])
+ AM_CONDITIONAL([USE_INSTALLED_POPT], [test "x$with_installed_popt" = xyes])
  
 +# legacy *-configure scripts can cause headaches, add option to disable
 +AC_ARG_ENABLE(legacy-scripts,
@@ -21,20 +21,24 @@  Index: pkg-config-0.23/configure.in
 +                        [Whether pkg-config will try and use legacy scripts such as glib-config and gnome-config @<:@default=yes@:>@])],
 +        [],
 +        [enable_legacy=yes])
-+AM_CONDITIONAL([LEGACY_SCRIPTS], [test x$enable_legacy = xyes])
++AM_CONDITIONAL([NO_LEGACY_SCRIPTS], [test x$enable_legacy != xyes])
++if test x$enable_legacy != xyes; then
++  AC_DEFINE(NO_LEGACY_SCRIPTS, 1, [We are not using legacy scripts])
++fi
++
 +
  AC_FUNC_ALLOCA
  
  AC_CHECK_FUNCS(setresuid setreuid,break)
-Index: pkg-config-0.23/parse.c
+Index: pkg-config-0.25/parse.c
 ===================================================================
---- pkg-config-0.23.orig/parse.c	2008-01-16 20:42:49.000000000 +0000
-+++ pkg-config-0.23/parse.c	2010-06-22 13:09:10.410129471 +0100
-@@ -1195,6 +1195,11 @@
+--- pkg-config-0.25.orig/parse.c	2011-10-05 18:52:24.869726050 +0100
++++ pkg-config-0.25/parse.c	2011-10-05 18:54:49.909726133 +0100
+@@ -1237,6 +1237,11 @@
     * messages.
     */
    return NULL;
-+#elif defined(LEGACY_SCRIPTS)
++#elif defined(NO_LEGACY_SCRIPTS)
 +  /* There are scenarios where we might not want to use these legacy
 +   * scripts even if they are available.
 +   */
diff --git a/meta/recipes-devtools/pkgconfig/pkgconfig_0.25.bb b/meta/recipes-devtools/pkgconfig/pkgconfig_0.25.bb
index a1f9508..76c0df9 100644
--- a/meta/recipes-devtools/pkgconfig/pkgconfig_0.25.bb
+++ b/meta/recipes-devtools/pkgconfig/pkgconfig_0.25.bb
@@ -1,6 +1,6 @@ 
 require pkgconfig.inc
 
-PR = "r0"
+PR = "r2"
 
 SRC_URI[md5sum] = "a3270bab3f4b69b7dc6dbdacbcae9745"
 SRC_URI[sha256sum] = "3ba691ee2431f32ccb8efa131e59bf23e37f122dc66791309023ca6dcefcd10e"